<html>
<head>
<title>Overlays - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Defines</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">Overlays</div>  </div>
<div class="ingroups"><a class="el" href="group__Core.html">Core</a></div></div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for Overlays:</div>
<div class="dyncontent">
<center><table><tr><td><img src="group__Overlays.gif" border="0" alt="" usemap="#group____Overlays"/>
<map name="group____Overlays" id="group____Overlays">
<area shape="rect" id="node1" href="group__Core.html" title="Core" alt="" coords="5,5,56,35"/></map>
</td></tr></table></center>
</div>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BorderPanelOverlayElement.html">Ogre::BorderPanelOverlayElement</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A specialisation of the <a class="el" href="classOgre_1_1PanelOverlayElement.html" title="OverlayElement representing a flat, single-material (or transparent) panel which can contain other el...">PanelOverlayElement</a> to provide a panel with a border.  <a href="classOgre_1_1BorderPanelOverlayElement.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BorderRenderable.html">Ogre::BorderRenderable</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for rendering the border of a <a class="el" href="classOgre_1_1BorderPanelOverlayElement.html" title="A specialisation of the PanelOverlayElement to provide a panel with a border.">BorderPanelOverlayElement</a>.  <a href="classOgre_1_1BorderRenderable.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents a layer which is rendered on top of the 'normal' scene contents.  <a href="classOgre_1_1Overlay.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayContainer.html">Ogre::OverlayContainer</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A 2D element which contains other <a class="el" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a> instances.  <a href="classOgre_1_1OverlayContainer.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayElement.html">Ogre::OverlayElement</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract definition of a 2D element to be displayed in an <a class="el" href="classOgre_1_1Overlay.html" title="Represents a layer which is rendered on top of the &#39;normal&#39; scene contents.">Overlay</a>.  <a href="classOgre_1_1OverlayElement.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayElementFactory.html">Ogre::OverlayElementFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines the interface which all components wishing to supply <a class="el" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a> subclasses must implement.  <a href="classOgre_1_1OverlayElementFactory.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PanelOverlayElementFactory.html">Ogre::PanelOverlayElementFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Factory for creating <a class="el" href="classOgre_1_1PanelOverlayElement.html" title="OverlayElement representing a flat, single-material (or transparent) panel which can contain other el...">PanelOverlayElement</a> instances.  <a href="classOgre_1_1PanelOverlayElementFactory.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BorderPanelOverlayElementFactory.html">Ogre::BorderPanelOverlayElementFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Factory for creating <a class="el" href="classOgre_1_1BorderPanelOverlayElement.html" title="A specialisation of the PanelOverlayElement to provide a panel with a border.">BorderPanelOverlayElement</a> instances.  <a href="classOgre_1_1BorderPanelOverlayElementFactory.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TextAreaOverlayElementFactory.html">Ogre::TextAreaOverlayElementFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Factory for creating <a class="el" href="classOgre_1_1TextAreaOverlayElement.html" title="This class implements an overlay element which contains simple unformatted text.">TextAreaOverlayElement</a> instances.  <a href="classOgre_1_1TextAreaOverlayElementFactory.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Manages <a class="el" href="classOgre_1_1Overlay.html" title="Represents a layer which is rendered on top of the &#39;normal&#39; scene contents.">Overlay</a> objects, parsing them from .overlay files and storing a lookup library of them.  <a href="classOgre_1_1OverlayManager.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PanelOverlayElement.html">Ogre::PanelOverlayElement</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a> representing a flat, single-material (or transparent) panel which can contain other elements.  <a href="classOgre_1_1PanelOverlayElement.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TextAreaOverlayElement.html">Ogre::TextAreaOverlayElement</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements an overlay element which contains simple unformatted text.  <a href="classOgre_1_1TextAreaOverlayElement.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre_1_1OverlayElementCommands.html">Ogre::OverlayElementCommands</a></td></tr>
<tr><td colspan="2"><h2><a name="define-members"></a>
Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Overlays.html#ga7840a0c97898ebe977e3331199ca28f5">OGRE_DEREF_DISPLAYSTRING_ITERATOR</a>(it)&#160;&#160;&#160;it.getCharacter()</td></tr>
<tr><td colspan="2"><h2><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef UTFString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Overlays.html#gaf7f1d73c45c54848737f8d59741822f0">Ogre::DisplayString</a></td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Overlays.html#gaa7655e44eacdfd45427ff35bde855f36">Ogre::GuiMetricsMode</a> { <a class="el" href="group__Overlays.html#ggaa7655e44eacdfd45427ff35bde855f36ae7050335374e46745e3c956b940ace9d">Ogre::GMM_RELATIVE</a>, 
<a class="el" href="group__Overlays.html#ggaa7655e44eacdfd45427ff35bde855f36a1995cd35704cb8894f502f135b46309d">Ogre::GMM_PIXELS</a>, 
<a class="el" href="group__Overlays.html#ggaa7655e44eacdfd45427ff35bde855f36a2664ae89e7bd4079392f7feff26b3597">Ogre::GMM_RELATIVE_ASPECT_ADJUSTED</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enum describing how the position / size of an element is to be recorded.  <a href="group__Overlays.html#gaa7655e44eacdfd45427ff35bde855f36">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Overlays.html#ga3396780cdb2d731aa5e4389148bdc5f3">Ogre::GuiHorizontalAlignment</a> { <a class="el" href="group__Overlays.html#gga3396780cdb2d731aa5e4389148bdc5f3a69adf8fd8fa9b00e1c4eba735d0a17cb">Ogre::GHA_LEFT</a>, 
<a class="el" href="group__Overlays.html#gga3396780cdb2d731aa5e4389148bdc5f3a64a73804088bb89e7243a14874a457cd">Ogre::GHA_CENTER</a>, 
<a class="el" href="group__Overlays.html#gga3396780cdb2d731aa5e4389148bdc5f3a270f18cf07dbe4e75e1b790d02924205">Ogre::GHA_RIGHT</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enum describing where '0' is in relation to the parent in the horizontal dimension.  <a href="group__Overlays.html#ga3396780cdb2d731aa5e4389148bdc5f3">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Overlays.html#gab0815ab90a2d9635695ec7e20e6c372e">Ogre::GuiVerticalAlignment</a> { <a class="el" href="group__Overlays.html#ggab0815ab90a2d9635695ec7e20e6c372eabd89b9daa45f558ebf40181220421c2b">Ogre::GVA_TOP</a>, 
<a class="el" href="group__Overlays.html#ggab0815ab90a2d9635695ec7e20e6c372ea730c870b4637187418842a7545a8d40b">Ogre::GVA_CENTER</a>, 
<a class="el" href="group__Overlays.html#ggab0815ab90a2d9635695ec7e20e6c372eae1858486046629fda36e43b0bfece87a">Ogre::GVA_BOTTOM</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enum describing where '0' is in relation to the parent in the vertical dimension.  <a href="group__Overlays.html#gab0815ab90a2d9635695ec7e20e6c372e">More...</a><br/></td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="ga7840a0c97898ebe977e3331199ca28f5"></a><!-- doxytag: member="OgreOverlayElement.h::OGRE_DEREF_DISPLAYSTRING_ITERATOR" ref="ga7840a0c97898ebe977e3331199ca28f5" args="(it)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="group__Overlays.html#ga7840a0c97898ebe977e3331199ca28f5">OGRE_DEREF_DISPLAYSTRING_ITERATOR</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">it</td><td>)</td>
          <td>&#160;&#160;&#160;it.getCharacter()</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreOverlayElement_8h_source.html#l00052">52</a> of file <a class="el" href="OgreOverlayElement_8h_source.html">OgreOverlayElement.h</a>.</p>

</div>
</div>
<hr/><h2>Typedef Documentation</h2>
<a class="anchor" id="gaf7f1d73c45c54848737f8d59741822f0"></a><!-- doxytag: member="Ogre::DisplayString" ref="gaf7f1d73c45c54848737f8d59741822f0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef UTFString <a class="el" href="group__Overlays.html#gaf7f1d73c45c54848737f8d59741822f0">Ogre::DisplayString</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreOverlayElement_8h_source.html#l00051">51</a> of file <a class="el" href="OgreOverlayElement_8h_source.html">OgreOverlayElement.h</a>.</p>

</div>
</div>
<hr/><h2>Enumeration Type Documentation</h2>
<a class="anchor" id="ga3396780cdb2d731aa5e4389148bdc5f3"></a><!-- doxytag: member="Ogre::GuiHorizontalAlignment" ref="ga3396780cdb2d731aa5e4389148bdc5f3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Overlays.html#ga3396780cdb2d731aa5e4389148bdc5f3">Ogre::GuiHorizontalAlignment</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enum describing where '0' is in relation to the parent in the horizontal dimension. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Affects how 'left' is interpreted. </dd></dl>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="gga3396780cdb2d731aa5e4389148bdc5f3a69adf8fd8fa9b00e1c4eba735d0a17cb"></a><!-- doxytag: member="GHA_LEFT" ref="gga3396780cdb2d731aa5e4389148bdc5f3a69adf8fd8fa9b00e1c4eba735d0a17cb" args="" -->GHA_LEFT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga3396780cdb2d731aa5e4389148bdc5f3a64a73804088bb89e7243a14874a457cd"></a><!-- doxytag: member="GHA_CENTER" ref="gga3396780cdb2d731aa5e4389148bdc5f3a64a73804088bb89e7243a14874a457cd" args="" -->GHA_CENTER</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga3396780cdb2d731aa5e4389148bdc5f3a270f18cf07dbe4e75e1b790d02924205"></a><!-- doxytag: member="GHA_RIGHT" ref="gga3396780cdb2d731aa5e4389148bdc5f3a270f18cf07dbe4e75e1b790d02924205" args="" -->GHA_RIGHT</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreOverlayElement_8h_source.html#l00072">72</a> of file <a class="el" href="OgreOverlayElement_8h_source.html">OgreOverlayElement.h</a>.</p>

</div>
</div>
<a class="anchor" id="gaa7655e44eacdfd45427ff35bde855f36"></a><!-- doxytag: member="Ogre::GuiMetricsMode" ref="gaa7655e44eacdfd45427ff35bde855f36" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Overlays.html#gaa7655e44eacdfd45427ff35bde855f36">Ogre::GuiMetricsMode</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enum describing how the position / size of an element is to be recorded. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="ggaa7655e44eacdfd45427ff35bde855f36ae7050335374e46745e3c956b940ace9d"></a><!-- doxytag: member="GMM_RELATIVE" ref="ggaa7655e44eacdfd45427ff35bde855f36ae7050335374e46745e3c956b940ace9d" args="" -->GMM_RELATIVE</em>&nbsp;</td><td>
<p>'left', 'top', 'height' and 'width' are parametrics from 0.0 to 1.0 </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggaa7655e44eacdfd45427ff35bde855f36a1995cd35704cb8894f502f135b46309d"></a><!-- doxytag: member="GMM_PIXELS" ref="ggaa7655e44eacdfd45427ff35bde855f36a1995cd35704cb8894f502f135b46309d" args="" -->GMM_PIXELS</em>&nbsp;</td><td>
<p>Positions &amp; sizes are in absolute pixels. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggaa7655e44eacdfd45427ff35bde855f36a2664ae89e7bd4079392f7feff26b3597"></a><!-- doxytag: member="GMM_RELATIVE_ASPECT_ADJUSTED" ref="ggaa7655e44eacdfd45427ff35bde855f36a2664ae89e7bd4079392f7feff26b3597" args="" -->GMM_RELATIVE_ASPECT_ADJUSTED</em>&nbsp;</td><td>
<p>Positions &amp; sizes are in virtual pixels. </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreOverlayElement_8h_source.html#l00059">59</a> of file <a class="el" href="OgreOverlayElement_8h_source.html">OgreOverlayElement.h</a>.</p>

</div>
</div>
<a class="anchor" id="gab0815ab90a2d9635695ec7e20e6c372e"></a><!-- doxytag: member="Ogre::GuiVerticalAlignment" ref="gab0815ab90a2d9635695ec7e20e6c372e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Overlays.html#gab0815ab90a2d9635695ec7e20e6c372e">Ogre::GuiVerticalAlignment</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enum describing where '0' is in relation to the parent in the vertical dimension. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Affects how 'top' is interpreted. </dd></dl>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="ggab0815ab90a2d9635695ec7e20e6c372eabd89b9daa45f558ebf40181220421c2b"></a><!-- doxytag: member="GVA_TOP" ref="ggab0815ab90a2d9635695ec7e20e6c372eabd89b9daa45f558ebf40181220421c2b" args="" -->GVA_TOP</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggab0815ab90a2d9635695ec7e20e6c372ea730c870b4637187418842a7545a8d40b"></a><!-- doxytag: member="GVA_CENTER" ref="ggab0815ab90a2d9635695ec7e20e6c372ea730c870b4637187418842a7545a8d40b" args="" -->GVA_CENTER</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggab0815ab90a2d9635695ec7e20e6c372eae1858486046629fda36e43b0bfece87a"></a><!-- doxytag: member="GVA_BOTTOM" ref="ggab0815ab90a2d9635695ec7e20e6c372eae1858486046629fda36e43b0bfece87a" args="" -->GVA_BOTTOM</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreOverlayElement_8h_source.html#l00081">81</a> of file <a class="el" href="OgreOverlayElement_8h_source.html">OgreOverlayElement.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
